> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/accounts/create-account/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # create an account POST https://api.jambonz.cloud/v1/Accounts Content-Type: application/json Reference: https://docs.jambonz.org/reference/rest-platform-management/accounts/create-account ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an object. - `name` (string, required) — account name - `service_provider_sid` (string, required) - `sip_realm` (string, optional) — sip realm for registration - `registration_hook` (Webhook, optional) — authentication webhook for registration - `queue_event_hook` (Webhook, optional) — webhook called when members join or leave a queue ## Response ### 201 account successfully created - `sid` (string, required) ## Errors ### 400 Bad Request Error bad request - `msg` (string, required) ### 422 Unprocessable Entity Error unprocessable entity - `msg` (string, required) ### 500 Internal Server Error system error - `msg` (string, required) ## Types ### Webhook - `url` (string, required) - `webhook_sid` (string, optional) - `method` (enum, optional) - Allowed values: `get`, `post` - `username` (string, optional) - `password` (string, optional) ## Examples **Request** ```json { "name": "foobar", "service_provider_sid": "85f9c036-ba61-4f28-b2f5-617c23fa68ff" } ``` **Response** ```json { "sid": "9d26a637-1679-471f-8da8-7150266e1254" } ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Accounts" payload = { "name": "foobar", "service_provider_sid": "85f9c036-ba61-4f28-b2f5-617c23fa68ff" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Accounts'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"foobar","service_provider_sid":"85f9c036-ba61-4f28-b2f5-617c23fa68ff"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Accounts" payload := strings.NewReader("{\n \"name\": \"foobar\",\n \"service_provider_sid\": \"85f9c036-ba61-4f28-b2f5-617c23fa68ff\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Accounts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"foobar\",\n \"service_provider_sid\": \"85f9c036-ba61-4f28-b2f5-617c23fa68ff\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.jambonz.cloud/v1/Accounts") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"foobar\",\n \"service_provider_sid\": \"85f9c036-ba61-4f28-b2f5-617c23fa68ff\"\n}") .asString(); ``` ```php request('POST', 'https://api.jambonz.cloud/v1/Accounts', [ 'body' => '{ "name": "foobar", "service_provider_sid": "85f9c036-ba61-4f28-b2f5-617c23fa68ff" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Accounts"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"foobar\",\n \"service_provider_sid\": \"85f9c036-ba61-4f28-b2f5-617c23fa68ff\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "foobar", "service_provider_sid": "85f9c036-ba61-4f28-b2f5-617c23fa68ff" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Accounts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```